  function pval = Horner(c,z)
%
% Pre:
%    c:   a vector.
%    z:   a vector.
%
% Post:
% pval:   a vector the same size as z with the property that if
%         p(x) = c(1) +  c(2)(x)+ ... + c(n)(x)...)
%         then pval(i) = p(z(i)) for i=1:m.
% 

  n = length(c); 
  pval = c(n)*ones(size(z));
  for k=n-1:-1:1
     pval = (z).*pval + c(k);
  end